LIBRARY IEEE;
USE IEEE.std_logic_1164.all;
ENTITY \OR\ IS PORT (
	M0 : IN std_logic;
	M1 : IN std_logic;
	M2 : IN std_logic;
	M3 : IN std_logic;
	M4 : IN std_logic;
	M5 : IN std_logic;
	M6 : IN std_logic;
	M7 : IN std_logic;
	FUNC : OUT std_logic
); END \OR\;



ARCHITECTURE STRUCTURE OF \OR\ IS

-- COMPONENTS

COMPONENT \74LS11\
	PORT (
	I0_A : IN std_logic;
	I1_A : IN std_logic;
	I2_A : IN std_logic;
	O_A : OUT std_logic;
	VCC : IN std_logic;
	GND : IN std_logic;
	I0_B : IN std_logic;
	I1_B : IN std_logic;
	I2_B : IN std_logic;
	O_B : OUT std_logic;
	I0_C : IN std_logic;
	I1_C : IN std_logic;
	I2_C : IN std_logic;
	O_C : OUT std_logic
	); END COMPONENT;

COMPONENT \74LS10\
	PORT (
	I0_A : IN std_logic;
	I1_A : IN std_logic;
	I2_A : IN std_logic;
	O_A : OUT std_logic;
	VCC : IN std_logic;
	GND : IN std_logic;
	I0_B : IN std_logic;
	I1_B : IN std_logic;
	I2_B : IN std_logic;
	O_B : OUT std_logic;
	I0_C : IN std_logic;
	I1_C : IN std_logic;
	I2_C : IN std_logic;
	O_C : OUT std_logic
	); END COMPONENT;

COMPONENT \74LS08\
	PORT (
	I0_A : IN std_logic;
	I1_A : IN std_logic;
	O_A : OUT std_logic;
	VCC : IN std_logic;
	GND : IN std_logic;
	I0_B : IN std_logic;
	I1_B : IN std_logic;
	O_B : OUT std_logic;
	I0_C : IN std_logic;
	I1_C : IN std_logic;
	O_C : OUT std_logic;
	I0_D : IN std_logic;
	I1_D : IN std_logic;
	O_D : OUT std_logic
	); END COMPONENT;

-- SIGNALS

SIGNAL orcad_unused:std_logic;
SIGNAL VCC : std_logic;
SIGNAL GND : std_logic;
SIGNAL N00092 : std_logic;
SIGNAL N00083 : std_logic;
SIGNAL N00345 : std_logic;

-- INSTANCE ATTRIBUTES




-- GATE INSTANCES

BEGIN
U7 : \74LS11\	PORT MAP(
	I0_A => M0, 
	I1_A => M1, 
	I2_A => M2, 
	O_A => N00083, 
	VCC => VCC, 
	GND => GND, 
	I0_B => M3, 
	I1_B => M4, 
	I2_B => M5, 
	O_B => N00092, 
	I0_C => orcad_unused, 
	I1_C => orcad_unused, 
	I2_C => orcad_unused, 
	O_C => OPEN
);
U8 : \74LS10\	PORT MAP(
	I0_A => N00083, 
	I1_A => N00345, 
	I2_A => N00092, 
	O_A => FUNC, 
	VCC => VCC, 
	GND => GND, 
	I0_B => orcad_unused, 
	I1_B => orcad_unused, 
	I2_B => orcad_unused, 
	O_B => OPEN, 
	I0_C => orcad_unused, 
	I1_C => orcad_unused, 
	I2_C => orcad_unused, 
	O_C => OPEN
);
U9 : \74LS08\	PORT MAP(
	I0_A => M6, 
	I1_A => M7, 
	O_A => N00345, 
	VCC => VCC, 
	GND => GND, 
	I0_B => orcad_unused, 
	I1_B => orcad_unused, 
	O_B => OPEN, 
	I0_C => orcad_unused, 
	I1_C => orcad_unused, 
	O_C => OPEN, 
	I0_D => orcad_unused, 
	I1_D => orcad_unused, 
	O_D => OPEN
);
END STRUCTURE;

LIBRARY IEEE;
USE IEEE.std_logic_1164.all;
ENTITY ROM IS PORT (
	CS : IN std_logic;
	DATA0 : OUT std_logic;
	DATA1 : OUT std_logic;
	A0 : IN std_logic;
	A1 : IN std_logic;
	A2 : IN std_logic
); END ROM;



ARCHITECTURE STRUCTURE OF ROM IS

-- COMPONENTS

COMPONENT \74LS138\
	PORT (
	A : IN std_logic;
	B : IN std_logic;
	C : IN std_logic;
	G1 : IN std_logic;
	G2A : IN std_logic;
	G2B : IN std_logic;
	Y0 : OUT std_logic;
	Y1 : OUT std_logic;
	Y2 : OUT std_logic;
	Y3 : OUT std_logic;
	Y4 : OUT std_logic;
	Y5 : OUT std_logic;
	Y6 : OUT std_logic;
	Y7 : OUT std_logic;
	VCC : IN std_logic;
	GND : IN std_logic
	); END COMPONENT;

COMPONENT \74LS08\
	PORT (
	I0_A : IN std_logic;
	I1_A : IN std_logic;
	O_A : OUT std_logic;
	VCC : IN std_logic;
	GND : IN std_logic;
	I0_B : IN std_logic;
	I1_B : IN std_logic;
	O_B : OUT std_logic;
	I0_C : IN std_logic;
	I1_C : IN std_logic;
	O_C : OUT std_logic;
	I0_D : IN std_logic;
	I1_D : IN std_logic;
	O_D : OUT std_logic
	); END COMPONENT;

COMPONENT \74LS04\
	PORT (
	I_A : IN std_logic;
	O_A : OUT std_logic;
	VCC : IN std_logic;
	GND : IN std_logic;
	I_B : IN std_logic;
	O_B : OUT std_logic;
	I_C : IN std_logic;
	O_C : OUT std_logic;
	I_D : IN std_logic;
	O_D : OUT std_logic;
	I_E : IN std_logic;
	O_E : OUT std_logic;
	I_F : IN std_logic;
	O_F : OUT std_logic
	); END COMPONENT;

COMPONENT \OR\	 PORT (
	M0 : IN std_logic;
	M1 : IN std_logic;
	M2 : IN std_logic;
	M3 : IN std_logic;
	M4 : IN std_logic;
	M5 : IN std_logic;
	M6 : IN std_logic;
	M7 : IN std_logic;
	FUNC : OUT std_logic
); END COMPONENT;

-- SIGNALS

SIGNAL orcad_unused:std_logic;
SIGNAL VCC : std_logic;
SIGNAL N02987 : std_logic;
SIGNAL N03246 : std_logic;
SIGNAL N03243 : std_logic;
SIGNAL N00894 : std_logic;
SIGNAL N00073 : std_logic;
SIGNAL VCC_BAR : std_logic;
SIGNAL N00706 : std_logic;
SIGNAL \GND POWER\ : std_logic;
SIGNAL N00697 : std_logic;
SIGNAL N03282 : std_logic;
SIGNAL GND : std_logic;

-- INSTANCE ATTRIBUTES




-- GATE INSTANCES

BEGIN
U3 : \74LS138\	PORT MAP(
	A => A0, 
	B => A1, 
	C => A2, 
	G1 => VCC_BAR, 
	G2A => \GND POWER\, 
	G2B => \GND POWER\, 
	Y0 => OPEN, 
	Y1 => N00073, 
	Y2 => N03282, 
	Y3 => N00697, 
	Y4 => OPEN, 
	Y5 => N00706, 
	Y6 => N00894, 
	Y7 => OPEN, 
	VCC => VCC, 
	GND => GND
);
U10 : \74LS08\	PORT MAP(
	I0_A => N03243, 
	I1_A => N03246, 
	O_A => DATA0, 
	VCC => VCC, 
	GND => GND, 
	I0_B => N02987, 
	I1_B => N03246, 
	O_B => DATA1, 
	I0_C => orcad_unused, 
	I1_C => orcad_unused, 
	O_C => OPEN, 
	I0_D => orcad_unused, 
	I1_D => orcad_unused, 
	O_D => OPEN
);
U11 : \74LS04\	PORT MAP(
	I_A => CS, 
	O_A => N03246, 
	VCC => VCC, 
	GND => GND, 
	I_B => orcad_unused, 
	O_B => OPEN, 
	I_C => orcad_unused, 
	O_C => OPEN, 
	I_D => orcad_unused, 
	O_D => OPEN, 
	I_E => orcad_unused, 
	O_E => OPEN, 
	I_F => orcad_unused, 
	O_F => OPEN
);
OR0 : \OR\	PORT MAP(
	M0 => VCC_BAR, 
	M1 => VCC_BAR, 
	M2 => N03282, 
	M3 => N00697, 
	M4 => VCC_BAR, 
	M5 => N00706, 
	M6 => VCC_BAR, 
	M7 => VCC_BAR, 
	FUNC => N03243
);
OR1 : \OR\	PORT MAP(
	M0 => VCC_BAR, 
	M1 => N00073, 
	M2 => VCC_BAR, 
	M3 => N00697, 
	M4 => VCC_BAR, 
	M5 => VCC_BAR, 
	M6 => N00894, 
	M7 => VCC_BAR, 
	FUNC => N02987
);
END STRUCTURE;

LIBRARY IEEE;
USE IEEE.std_logic_1164.all;
ENTITY SCHEMATIC1 IS PORT (
	DATA : OUT std_logic_vector(1 DOWNTO 0);
	A : IN std_logic_vector(2 DOWNTO 0);
	CS : IN std_logic
); END SCHEMATIC1;



ARCHITECTURE STRUCTURE OF SCHEMATIC1 IS

-- COMPONENTS

COMPONENT ROM	 PORT (
	CS : IN std_logic;
	DATA0 : OUT std_logic;
	DATA1 : OUT std_logic;
	A0 : IN std_logic;
	A1 : IN std_logic;
	A2 : IN std_logic
); END COMPONENT;

-- SIGNALS

SIGNAL orcad_unused:std_logic;

-- INSTANCE ATTRIBUTES




-- GATE INSTANCES

BEGIN
ROM : ROM	PORT MAP(
	CS => CS, 
	DATA0 => DATA(0), 
	DATA1 => DATA(1), 
	A0 => A(0), 
	A1 => A(1), 
	A2 => A(2)
);
END STRUCTURE;

